#
# spec file for package owncloud-wildcard-trusted-domains
#
# Copyright (C) 2012,2013, jw@suse.de, openSUSE.org
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# name used as apache alias and topdir for php code.
%define owncloud	owncloud

# CAUTION: keep in sync with debian.rules
### apache variables
%if 0%{?suse_version}
%define apache_serverroot	/srv/www/htdocs
%define apache_confdir /etc/apache2/conf.d
%define oc_user wwwrun
%define oc_group www
%define oc_user_id 30
%define oc_group_id 8
%else
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
%define apache_serverroot	/var/www/html
%define apache_confdir /etc/httpd/conf.d
%define oc_user apache
%define oc_group apache
%define oc_user_id 48
%define oc_group_id 48
%else
%error "Unknown platform"
%endif
%endif

# CAUTION: keep in sync with debian.rules and package owncloud-files
%define oc_dir		%{apache_serverroot}/%{owncloud}
%define oc_config_dir 	%{oc_dir}/config
%define oc_data_dir 	%{oc_dir}/data
%define oc_data_pdir 	%{oc_dir}

Name:           owncloud-wildcard-trusted-domains
Version:        0.1
Release:        7.1
License:        GPL-2.0 or GPL-3.0
Summary:        ownCloud trusted domains config hack
Url:            https://github.com/owncloud
Source0:        wildcard-trusted-domains.config.php
Group:          Development/Tools/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

%description
This package disables trusted_domains checking by adding a
wildcard-trusted-domains.config.php snippet to the config folder.
Use this for demonstration or evaluation purposes where the ownCloud
instance should freely roam between networks.

Existing entries trusted_domains entries in config.php are ineffective,
as long as this package is installed.


%prep

%build

%install
install -D -m644 %{S:0} %{buildroot}%{oc_dir}/config/wildcard-trusted-domains.config.php

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,%{oc_group},0755)
%attr(0775,%{oc_user},%{oc_group}) %{oc_config_dir}
%attr(0644,%{oc_user},%{oc_group}) %{oc_config_dir}/*
# suse needs this:
%dir %{oc_dir}

%changelog
* Thu Mar 30 2017 jw@owncloud.com
- Version 0.1
- wildcard-trusted-domains.config.php intial packaging.
